
Name:           netsurf
Version:        3.10
Release:        %mkrel 1

Summary:        Lightweight Web Browser with its own layout and rendering engine
License:        GPLv2/MIT
Group:          Networking/WWW
Source:         http://www.netsurf-browser.org/downloads/releases/%{name}-all-%version.tar.xz
Source1:	    netsurf.png
URL:            http://www.netsurf-browser.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: lib64SDL-devel
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64curl-devel
BuildRequires: lib64expat1-devel
BuildRequires: lib64gdk_pixbuf2.0_0
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+2.0_0-devel
BuildRequires: lib64jpeg-devel
BuildRequires: lib64mng-devel
BuildRequires: lib64openssl-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64png-devel
BuildRequires: lib64rsvg2-devel
BuildRequires: lib64wayland-devel
BuildRequires: lib64xml2-devel
BuildRequires: lib64lcms-devel
BuildRequires: perl-HTML-Parser
BuildRequires: vim-common

Requires:      perl-HTML-Parser 
Requires:      gtk+3.0

%description
NetSurf is a lightweight browser with its own layout and rendering engine 
entirely written from scratch. It is small and capable of handling many 
of the web standards in use today.

 
%prep
%setup -qn netsurf-all-%version

%build
make -j1 \
    PREFIX=/usr \
    TARGET=gtk2 \
    NETSURF_USE_WEBP=YES \
    NETSURF_USE_VIDEO=NO \
    NETSURF_USE_JS=NO \
    NETSURF_USE_MOZJS=NO 
    

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=/usr DESTDIR=$RPM_BUILD_ROOT

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Categories=Network;WebBrowser;GTK;X-MandrivaLinux-Internet-WebBrowsers;
Encoding=UTF-8
Name=Netsurf
GenericName=Web Browser
Comment=Web Browser
TryExec=netsurf-gtk2
Exec=netsurf-gtk2 %u
Icon=netsurf
Terminal=false
StartupNotify=true
MimeType=text/html;text/xml;application/xhtml+xml;x-scheme-handler/http;x-scheme-handler/https;x-scheme-handler/ftp;
Type=Application
EOF

mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/pixmaps/netsurf.png

%files
%defattr(-,root,root)
%{_bindir}/netsurf-gtk2
%{_datadir}/applications/netsurf.desktop
%{_datadir}/netsurf
%{_datadir}/pixmaps


%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%changelog
* Sun Jun 07 2020 tex - 3.10-1pclos2020
- new version

* Fri Oct 04 2019 tex - 3.9-1pclos2019
- new version

* Tue Jan 15 2019 tex - 3.8-2pclos2019
- rebuild against updates

* Thu Aug 30 2018 tex - 3.8-1pclos2018
- new
